Inhalte

# Funktion Sgn

Gibt eine ganze Zahl zwischen -1 und 1 zurück, die angibt, ob die der Funktion übergebene Zahl positiv, negativ oder Null ist.

## Syntax:

    Sgn (Zahl)

## Rückgabewert:

Integer

## Parameter:

Zahl: Numerischer Ausdruck, der den von der Funktion zurückgegebenen Wert bestimmt.

Zahl | Rückgabewert
negativ | Sgn liefert -1 zurück.
0 | Sgn liefert 0 zurück.
positiv | Sgn liefert 1 zurück.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleSgn
        Print sgn(-10) ' liefert -1 zurück
        Print sgn(0) ' Liefert 0 zurück
        Print sgn(10) ' Liefert 1 zurück
    End Sub